# Python document
# Calculadora de propinas

# Limpieza de pantalla
import os
import time


def limpiar_pantalla():
    # Windows
    if os.name == "nt":
        os.system("cls")
    # Unix/Linux/Mac
    else:
        os.system("clear")


print("CALCULADORA DE PROPINAS")
cuantia = float(input("\nIntroduce la cuantía de la cuenta (en €): "))
porcentajepropina = int(input("\nIntroduce el procentaje de la propina: "))
personas = int(input("\nIntroduce la cantidad de personas: "))
propina = cuantia * (porcentajepropina / 100)
totalapagar = cuantia + propina
totalporpersona = totalapagar / personas
print("\n\nRealizando los cálculos...")
time.sleep(3)
limpiar_pantalla()
print("\nMonto de la cuenta: ", round(cuantia, 2), "€")
print("\nPorcentaje de propina añadido: ", porcentajepropina, "%")
print("\nCantidad de personas: ", personas, "personas")
print("\nCuantía de propina: ", round(propina, 2), "€")
print("\nTotal a pagar (cuantia+propina): ", round(totalapagar, 2), "€")
print("\nCuantía de propina por persona:")
print(round(totalporpersona, 2), "€/persona\n")
